package com.house365.beans.vo;

import com.house365.common.beans.DomainObject;

import java.util.Date;

public class Department extends DomainObject {
    private Integer wechatDepartmentId;

    private String companyDepartmentId;

    private String companyId;

    private String companyName;

    private String departmentName;

    private Integer wechatParentId;

    private String companyParentId;

    private String hasChildren;

    private Integer sort;

    private Integer createBy;

    private Date createTime;

    public Integer getWechatDepartmentId() {
        return wechatDepartmentId;
    }

    public void setWechatDepartmentId(Integer wechatDepartmentId) {
        this.wechatDepartmentId = wechatDepartmentId;
    }

    public String getCompanyDepartmentId() {
        return companyDepartmentId;
    }

    public void setCompanyDepartmentId(String companyDepartmentId) {
        this.companyDepartmentId = companyDepartmentId;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public Integer getWechatParentId() {
        return wechatParentId;
    }

    public void setWechatParentId(Integer wechatParentId) {
        this.wechatParentId = wechatParentId;
    }

    public String getCompanyParentId() {
        return companyParentId;
    }

    public void setCompanyParentId(String companyParentId) {
        this.companyParentId = companyParentId;
    }

    public String getHasChildren() {
        return hasChildren;
    }

    public void setHasChildren(String hasChildren) {
        this.hasChildren = hasChildren;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getCreateBy() {
        return createBy;
    }

    public void setCreateBy(Integer createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}